| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::PresenceSpecList Class Reference
Wrapper classes

The PresenceSpecList class represents a list of PresenceSpec. More...

`#include <TelepathyQt/PresenceSpecList>`

Inherits QList< PresenceSpec >.

## Public Member Functions

| PresenceSpecList ()
| PresenceSpecList (const SimpleStatusSpecMap &specMap)
| PresenceSpecList (const QList< PresenceSpec > &other)
QMap< QString, PresenceSpec > | toMap () const
SimpleStatusSpecMap | bareSpecs () const

## Detailed Description

The PresenceSpecList class represents a list of PresenceSpec.

## Constructor & Destructor Documentation

Tp::PresenceSpecList::PresenceSpecList | ( |  | ) |

inline

Tp::PresenceSpecList::PresenceSpecList | ( | const SimpleStatusSpecMap & | specMap | ) |

inline

Tp::PresenceSpecList::PresenceSpecList | ( | const QList< PresenceSpec > & | other | ) |

inline

## Member Function Documentation

QMap<QString, PresenceSpec> Tp::PresenceSpecList::toMap | ( |  | ) | const

inline

SimpleStatusSpecMap Tp::PresenceSpecList::bareSpecs | ( |  | ) | const

inline